"""Dump bookmarks db to a more readable FLAD after check_urls

This file is a part of Bookmarks database and Internet robot.
"""

__author__ = "Oleg Broytman <phd@phdru.name>"
__copyright__ = "Copyright (C) 2000-2012 PhiloSoft Design"
__license__ = "GNU GPL"

__all__ = ['writer_flad_err']


import time
from bkmk_wflad import writer_flad


class writer_flad_err(writer_flad):
   filename = "bookmarks_db.errors"

   def bookmark(self, b, level):
      if hasattr(b, "error"):
         writer_flad.bookmark(self, b, level)
